<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace PagerdutyModule\Controller;

use Cake\ORM\TableRegistry;
use Cake\Utility\Hash;
use PagerdutyModule\Model\Table\PagerdutySettingsTable;

class SettingsController extends AppController {

    public function edit() {
        if (!$this->isAngularJsRequest()) {
            //Only ship html template
            return;
        }

        /** @var PagerdutySettingsTable $PagerdutySettingsTable */
        $PagerdutySettingsTable = TableRegistry::getTableLocator()->get('PagerdutyModule.PagerdutySettings');

        $defaultId = 1;
        $settingsEntity = $PagerdutySettingsTable->getPagerdutySettings();

        if ($this->request->is('post') || $this->request->is('put')) {
            $data = $this->request->getData('PagerdutySettings');
            $data['id'] = $defaultId;
            $data['modified'] = date("Y-m-d H:i:s");
            $settingsEntity = $PagerdutySettingsTable->patchEntity($settingsEntity, $data);
            $PagerdutySettingsTable->save($settingsEntity);
            if (!$settingsEntity->hasErrors()) {
                $this->set('settings', $settingsEntity->toArray());
                $this->viewBuilder()->setOption('serialize', ['settings']);
                return;
            }
            $this->serializeCake4ErrorMessage($settingsEntity);
            return;
        }

        $this->set('settings', ['PagerdutySettings' => $settingsEntity]);
        $this->viewBuilder()->setOption('serialize', ['settings']);
    }
}
