<?php
declare(strict_types=1);

namespace PagerdutyModule\Model\Entity;

use Cake\I18n\FrozenTime;
use Cake\ORM\Entity;

/**
 * PagerdutyQueue Entity
 *
 * @property int $id
 * @property string|null $host_uuid
 * @property int|null $host_state
 * @property string|null $service_uuid
 * @property int|null $service_state
 * @property string|null $notificationtype
 * @property int|null $type
 * @property string|null $output
 * @property FrozenTime $created
 * @property FrozenTime $modified
 */
class PagerdutyQueue extends Entity {
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'host_uuid'        => true,
        'host_state'       => true,
        'service_uuid'     => true,
        'service_state'    => true,
        'notificationtype' => true,
        'type'             => true,
        'output'           => true,
        'created'          => true,
        'modified'         => true,
    ];
}
