<?php
declare(strict_types=1);

namespace PagerdutyModule\Model\Entity;

use Cake\I18n\FrozenTime;
use Cake\ORM\Entity;

/**
 * PagerdutySetting Entity
 *
 * @property int $id
 * @property string|null $integration_key
 * @property string|null $api_key
 * @property string|null $api_url
 * @property bool $two_way
 * @property bool $use_proxy
 * @property FrozenTime $created
 * @property FrozenTime $modified
 */
class PagerdutySetting extends Entity {
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'integration_key' => true,
        'api_key'         => true,
        'api_url'         => true,
        'two_way'         => true,
        'use_proxy'       => true,
        'created'         => true,
        'modified'        => true,
    ];
}
