angular.module('openITCOCKPIT')
    .controller('SettingsEditController', function($scope, $http, NotyService, $state){

        $scope.post = {
            PagerdutySettings: {
                api_key: '',
                integration_key: '',
                api_url: '',
                webhook: '',
                two_way: false,
                use_proxy: false,
            }
        };

        $scope.load = function(){
            $http.get("/pagerduty_module/settings/edit.json", {
                params: {
                    'angular': true
                }
            }).then(function(result){
                $scope.post = result.data.settings;
            }, function errorCallback(result){
                if(result.status === 403){
                    $state.go('403');
                }

                if(result.status === 404){
                    $state.go('404');
                }
            });
        };

        $scope.submit = function(){
            $http.post("/pagerduty_module/settings/edit.json?angular=true",
                $scope.post
            ).then(function(result){
                NotyService.genericSuccess();
                $scope.errors = null;
            }, function errorCallback(result){
                NotyService.genericError();
                if(result.data.hasOwnProperty('error')){
                    $scope.errors = result.data.error;
                }
            });

        };

        $scope.load();
    });